| SX126x-Arduino 2.0.1

Data Fields
hw_config Struct Reference

`#include <board.h>`

## Data Fields
int | CHIP_TYPE = SX1262_CHIP
int | PIN_LORA_RESET
int | PIN_LORA_NSS
int | PIN_LORA_SCLK
int | PIN_LORA_MISO
int | PIN_LORA_DIO_1
int | PIN_LORA_BUSY
int | PIN_LORA_MOSI
int | RADIO_TXEN = -1
int | RADIO_RXEN = -1
bool | USE_DIO2_ANT_SWITCH = false
bool | USE_DIO3_TCXO = false
bool | USE_DIO3_ANT_SWITCH = false
bool | USE_LDO = false
bool | USE_RXEN_ANT_PWR = false

## Detailed Description

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## Field Documentation

## ◆ CHIP_TYPE

int hw_config::CHIP_TYPE = SX1262_CHIP

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ PIN_LORA_RESET

int hw_config::PIN_LORA_RESET

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ PIN_LORA_NSS

int hw_config::PIN_LORA_NSS

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ PIN_LORA_SCLK

int hw_config::PIN_LORA_SCLK

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ PIN_LORA_MISO

int hw_config::PIN_LORA_MISO

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ PIN_LORA_DIO_1

int hw_config::PIN_LORA_DIO_1

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ PIN_LORA_BUSY

int hw_config::PIN_LORA_BUSY

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ PIN_LORA_MOSI

int hw_config::PIN_LORA_MOSI

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ RADIO_TXEN

int hw_config::RADIO_TXEN = -1

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ RADIO_RXEN

int hw_config::RADIO_RXEN = -1

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ USE_DIO2_ANT_SWITCH

bool hw_config::USE_DIO2_ANT_SWITCH = false

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ USE_DIO3_TCXO

bool hw_config::USE_DIO3_TCXO = false

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ USE_DIO3_ANT_SWITCH

bool hw_config::USE_DIO3_ANT_SWITCH = false

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ USE_LDO

bool hw_config::USE_LDO = false

## ◆ USE_RXEN_ANT_PWR

bool hw_config::USE_RXEN_ANT_PWR = false

The documentation for this struct was generated from the following file:

- src/boards/mcu/board.h